#!/bin/bash
# Simple Script to Install 'Quota 1.2' (FRSoldier)
# Updated: 06/08/03
# Updated: 16/02/04 (FIXES...)
#
# Glftpd root dir
rootpath="/opt/glftpd"
# User dir
glusers="/ftp-data/users/"
#
# Set also your site dir
site="/site/"
#
# Put here your Glftpd configuration file :)
gletc="/etc/glftpd.conf"

echo "Doing a brief Dir Cheking..."
if [ -d ${rootpath} ]; then
	echo "Rootpath OK..."
else
	exit 1
fi

if [ -d "${rootpath}${glusers}" ]; then
	echo "User path dir OK..chmod 0755"
	chmod 0755 "${rootpath}${glusers}"
else
	exit 1
fi

if [ -d "${rootpath}${site}" ]; then
	echo "User site dir OK..."
else
	exit 1
fi

if [ -e "${gletc}" ]; then
	echo "Glftpd configuration is ok!"
else
	echo "Cannot find the Glftpd configuration"
	exit 1
fi

echo "Compiling Main Binary file..."
gcc -o quota quota.c
if [ $? -eq 0 ]; then
	echo "Compiled, moving now in Glftpd bin dir..."
	cp ./quota ${rootpath}"/bin/"
	chmod ou+x ${rootpath}"/bin/quota"
else
	echo "Failed! Check your gcc. Bye..."
	exit 1
fi 

echo "Adding custom quota line in $gletc"
echo "# Line added by Quota Tool (FRS), if you don't use my script anymore, remove them!" >> ${gletc}
echo -e "site_cmd QUOTA\tEXEC\t/bin/quota" >> ${gletc}
echo -e "custom-quota\t!8 *" >> ${gletc}
echo "All done."

